ur_rna.Utilities.swing

## Class InputAdapter.Keyboard

- java.lang.Object
- - ur_rna.Utilities.swing.InputAdapter.Keyboard

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.util.EventListener
  Enclosing class:
    InputAdapter

      public abstract static class InputAdapter.Keyboard
      extends java.lang.Object
      implements java.awt.event.KeyListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keyboard()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyPressed(java.awt.event.KeyEvent e)` Invoked when a key has been pressed.
    `void` | `keyReleased(java.awt.event.KeyEvent e)` Invoked when a key has been released.
    `void` | `keyTyped(java.awt.event.KeyEvent e)` Invoked when a key has been typed.
    `void` | `listen(java.awt.Component c)`
    `protected abstract void` | `onKeyInput(InputAdapter.InputType type, java.awt.event.KeyEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Keyboard

          public Keyboard()

  - ### Method Detail

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent e)

      Invoked when a key has been pressed. See the class description for `KeyEvent` for a definition of a key pressed event.
      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`
      Parameters:
        `e` -

    - #### keyReleased

          public void keyReleased(java.awt.event.KeyEvent e)

      Invoked when a key has been released. See the class description for `KeyEvent` for a definition of a key released event.
      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`
      Parameters:
        `e` -

    - #### keyTyped

          public void keyTyped(java.awt.event.KeyEvent e)

      Invoked when a key has been typed. See the class description for `KeyEvent` for a definition of a key typed event.
      Specified by:
        `keyTyped` in interface `java.awt.event.KeyListener`
      Parameters:
        `e` -

    - #### listen

          public void listen(java.awt.Component c)

    - #### onKeyInput

          protected abstract void onKeyInput(InputAdapter.InputType type,
                                             java.awt.event.KeyEvent e)